Package org.eclipse.emf.cdo.lm.assembly.util

# Klasse AssemblySwitch<T>

java.lang.Object
org.eclipse.emf.ecore.util.Switch<T>
org.eclipse.emf.cdo.lm.assembly.util.AssemblySwitch<T>

public class AssemblySwitch<T> extends Switch<T>
The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

Siehe auch:
  - `AssemblyPackage`
Generated

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`protected static AssemblyPackage`
`modelPackage`
The cached model package

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`AssemblySwitch()`
Creates an instance of the switch.

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`T`
`caseAssembly(Assembly object)`
Returns the result of interpreting the object as an instance of 'Assembly'.
`T`
`caseAssemblyModule(AssemblyModule object)`
Returns the result of interpreting the object as an instance of 'Module'.
`T`
`caseModelElement(ModelElement object)`
Returns the result of interpreting the object as an instance of 'Model Element'.
`T`
`defaultCase(EObject object)`
Returns the result of interpreting the object as an instance of 'EObject'.
`protected T`
`doSwitch(int classifierID, EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean`
`isSwitchFor(EPackage ePackage)`
Checks whether this is a switch for the given package.

### Von Klasse geerbte Methoden org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Felddetails

### modelPackage

protected static AssemblyPackage modelPackage
The cached model package

Generated

## Konstruktordetails

### AssemblySwitch

public AssemblySwitch()
Creates an instance of the switch.

Generated

## Methodendetails

### isSwitchFor

protected boolean isSwitchFor(EPackage ePackage)
Checks whether this is a switch for the given package.

Angegeben von:
  `isSwitchFor` in Klasse `Switch<T>`
Parameter:
  `ePackage` - the package in question.
Gibt zurück:
  whether this is a switch for the given package.
Generated

### doSwitch

protected T doSwitch(int classifierID, EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Setzt außer Kraft:
  `doSwitch` in Klasse `Switch<T>`
Gibt zurück:
  the first non-null result returned by a `caseXXX` call.
Generated

### caseAssembly

public T caseAssembly(Assembly object)
Returns the result of interpreting the object as an instance of 'Assembly'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Assembly'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseAssemblyModule

public T caseAssemblyModule(AssemblyModule object)
Returns the result of interpreting the object as an instance of 'Module'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Module'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseModelElement

public T caseModelElement(ModelElement object)
Returns the result of interpreting the object as an instance of 'Model Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Model Element'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### defaultCase

public T defaultCase(EObject object)
Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Setzt außer Kraft:
  `defaultCase` in Klasse `Switch<T>`
Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'EObject'.
Siehe auch:
  - `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
Generated